NANO(1)

NAME
nano - Nano's ANOther editor, an enhanced free Pico Clone

SYNOPSIS
nano [options] [+LINE] file

DESCRIPTION
This manual page documents briefly the nano command.

nano is a small, free and friendly editor which aims to replace Pico, the default editor included in the non-free Pine package. Rather than just copying Pico's look and feel, nano also implements some missing (or disabled by default) features in Pico, such as "search and replace" and "goto line number".

OPTIONS

-T (--tabsize)
    Set the size (width) of a tab.

-R (--regexp)
    Enable regular expression matching for search strings, as well as \n subexpression replacement for replace strings, if available.

-V (--version)
    Show the current version number and author.

-h (--help)
    Display a summary of command line options.

-c (--const)
    Constantly show the cursor position.

-i (--autoindent)
    Indent new lines to the previous line's indentation. Useful when editing source code.

-k (--cut)
    Enable cut from cursor to end of line with ^K.

-l (--nofollow)
    If the file being edited is a symbolic link, replace the link with a a new file, do not follow it. Good for editing files in /tmp, perhaps?

-m (--mouse)
    Enable mouse support (if available for your system).

-p (--pico)
    Emulate Pico as closely as possible. This affects both the "shortcut list" at the bottom of the screen, as well as the display and entry of previous search and replace strings.

-r (--fill)
    Wrap lines at column #cols. By default this is the width of the screen, less eight.

-s (--speller)
    Enable alternative spell checker command.

-t (--tempfile)
    Always save changed buffer without prompting. Same as Pico -t option.

-v (--view)
    View file (read only) mode.

-w (--nowrap)
    Disable wrapping of long lines.

-x (--nohelp)
    Disable help screen at bottom of editor.

-z (--suspend)
    Enable suspend ability.

-b, -e, -f
    Ignored, for compatibility with Pico.

+LINE
    Places cursor at LINE on startup.

NOTES
Nano will try to dump the buffer into an emergency file in some cases. Mainly, this will happen if Nano receives a SIGHUP or runs out of memory, when it will write the buffer into a file named "nano.save" if the buffer didn't have a name already, or will add a ".save" suffix to the current filename. Nano will not write this file if a previous one exists in the current directory.

BUGS
Please send any comments or bug reports to
nano@nano-editor.org.
The nano mailing list is available from
nano-devel@lists.sourceforge.net. To subscribe, email to nano-devel-request@lists.sourceforge.net with a subject of "subscribe".

HOMEPAGE
http://www.nano-editor.org

AUTHOR
Chris Allegretta <chrisa@asty.org>, et al (see AUTHORS for details). This manual page was originally written by Jordi Mallach <jordi@sindominio.net>, for the Debian GNU/Linux system (but may be used by others).